5 Replies Latest reply: Dec 9, 2012 8:27 PM by steve359
darryl155 Level 1 Level 1 (0 points)

Im trying to update my software but it keeps saying no update found & when I try to download/update the new iTunes it tells me my software basically wont support it. And says "This software requires Mac OS X Version 10.6.8 or later" Whats really going on?


MacBook (13-inch Early 2009), Mac OS X (10.5.8)